petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsIntArray

Gets an array of integers for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsIntArray_Private(PetscOptionItems *PetscOptionsObject,const char opt[],const char text[],const char man[],PetscInt value[],PetscInt *n,PetscBool  *set)

Logically Collective on the communicator passed in PetscOptionsBegin() Many br

### Input Parameters

| opt | - the option one is seeking Many br
| text | - short string describing option Many br
| man | - manual page for option Many br
| n | - maximum number of values Many br

### Output Parameter

| value | - location to copy values Many br
| n | - actual number of values found Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

### Notes

The array can be passed as Many bra comma separated list: 0,1,2,3,4,5,6,7 Many bra range (start-end+1): 0-8 Many bra range with given increment (start-end+1:inc): 0-7:2 Many bra combination of values and ranges separated by commas: 0,1-8,8-15:2 Many br

There must be no intervening spaces between the values. Many br

Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

### See Also

PetscOptionsGetInt(NULL,), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList(), PetscOptionsRealArray() Many br

Level:beginner
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex17.c.html
src/snes/examples/tutorials/ex15.c.html
src/ts/examples/tutorials/ex11.c.html